*** Settings ***
Library    String

Resource     ../Resources/Common.robot
Resource     ../Resources/Page Object/PageAccueil.resource
Resource     ../Resources/Page Object/PageLogin.resource
Resource     ../Resources/Page Object/PageCreateAccount.resource
Test Setup    Common.Démarrer Test            
Test Teardown    Common.Terminer Test
Documentation    Ex5: Le champ Email address doit avoir un format valide. Si non, un message d'erreur est affiché


*** Variables ***

@{EMAILS_FORMATS_VALIDES}=     jlfez@gmail.com    jfefjs.eioc@test.fr     jfezs-jljcvez@ger-it.com     jchkdnv+415@gmail.com 
@{EMAILS_FORMATS_NON_VALIDES}=     vjeoldv     jfefjs.fr    jfezs@.com    jchkdn@     jfezs.@ger-it    jfezs-@ger-it.com    jfezs.@ger-it.com 
 


*** Test Cases ***


Ex5 - CT01
    [Tags]   CT01
    #test de se connecter avec une adresse email valide mais associée à aucun compte
    PageAccueil.Valider l'affichage de la page "Accueil" - non connecté
    PageAccueil.Cliquer sur "Login"
    ${nombre emails}=     Get Length    ${EMAILS_FORMATS_VALIDES}
    FOR     ${compteur}    IN RANGE     0    ${nombre emails}
        PageLogin.Remplir le formulaire de login   ${EMAILS_FORMATS_VALIDES}[${compteur}]    1234567
        PageLogin.Soumettre le formulaire de Login
        PageLogin.Vérifier Login KO - email ou pwd incorrect
    END

Ex5 - CT02
    [Tags]   CT02
    #test de se connecter avec une adresse email invalide 
    PageAccueil.Valider l'affichage de la page "Accueil" - non connecté
    PageAccueil.Cliquer sur "Login"
    ${nombre emails}=     Get Length    ${EMAILS_FORMATS_NON_VALIDES}
    FOR     ${compteur}    IN RANGE     0    ${nombre emails}
        PageLogin.Remplir le formulaire de login   ${EMAILS_FORMATS_NON_VALIDES}[${compteur}]    1234567
        PageLogin.Soumettre le formulaire de Login
        PageLogin.Vérifier Login KO - format email invalide
    END